/**
* DevExtreme (ui/radio_group.d.ts)
* Version: 18.2.6 (build 19067)
* Build date: Fri Mar 08 2019
*
* Copyright (c) 2012 - 2019 Developer Express Inc. ALL RIGHTS RESERVED
* Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
*/
import DevExpress from '../bundles/dx.all';

declare global {
interface JQuery {
    dxRadioGroup(): JQuery;
    dxRadioGroup(options: "instance"): DevExpress.ui.dxRadioGroup;
    dxRadioGroup(options: string): any;
    dxRadioGroup(options: string, ...params: any[]): any;
    dxRadioGroup(options: DevExpress.ui.dxRadioGroupOptions): JQuery;
}
}
export default DevExpress.ui.dxRadioGroup;
export type Options = DevExpress.ui.dxRadioGroupOptions;

/** @deprecated use Options instead */
export type IOptions = DevExpress.ui.dxRadioGroupOptions;